org.apache.tapestry5.internal.services

## Class PersistentFieldChangeImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.PersistentFieldChangeImpl

- All Implemented Interfaces:
    PersistentFieldChange

      public class PersistentFieldChangeImpl
      extends Object
      implements PersistentFieldChange

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentFieldChangeImpl(String componentId, String fieldName, Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComponentId()` Returns the nested id of the component, or the empty string for the page's root component.
    `String` | `getFieldName()` Returns the name of the field for which a change was recorded.
    `Object` | `getValue()` Returns the new value for the field (which may be null).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentFieldChangeImpl

          public PersistentFieldChangeImpl(String componentId,
                                           String fieldName,
                                           Object value)

  - ### Method Detail

    - #### getComponentId

          public String getComponentId()

      Description copied from interface: `PersistentFieldChange`
      Returns the nested id of the component, or the empty string for the page's root component.
      Specified by:
        `getComponentId` in interface `PersistentFieldChange`

    - #### getFieldName

          public String getFieldName()

      Description copied from interface: `PersistentFieldChange`
      Returns the name of the field for which a change was recorded.
      Specified by:
        `getFieldName` in interface `PersistentFieldChange`

    - #### getValue

          public Object getValue()

      Description copied from interface: `PersistentFieldChange`
      Returns the new value for the field (which may be null).
      Specified by:
        `getValue` in interface `PersistentFieldChange`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.